%bcond_with check
%global debug_package %{nil}

%global goipath         github.com/bsphere/le_go
%global commit          fc06dab2caa8d5942abe0a1ced1adf7d5369843e

%gometa

%global common_description %{expand:
Package le_go provides a Go client library for logging to logentries.com over a
TCP connection.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Go library for logentries.com

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
